Package com.gpudb.protocol
Class KillProcRequest.Options
java.lang.Object
com.gpudb.protocol.KillProcRequest.Options
Enclosing class:
A set of string constants for the
KillProcRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringIfTRUE, kill and remove the instance of the proc matching the auto-start run ID that was created to run when the database is started.static final Stringstatic final StringIfrunIdis specified, kill the proc instance that has a matching run ID and a matching run tag that was provided toGPUdb.executeProc.static final String
Field Details
RUN_TAG
IfrunIdis specified, kill the proc instance that has a matching run ID and a matching run tag that was provided toGPUdb.executeProc. IfrunIdis not specified, kill the proc instance(s) where a matching run tag was provided toGPUdb.executeProc. The default value is ”.See Also:CLEAR_EXECUTE_AT_STARTUP
IfTRUE, kill and remove the instance of the proc matching the auto-start run ID that was created to run when the database is started. The auto-start run ID was returned fromGPUdb.executeProcand can be retrieved usingGPUdb.showProc. Supported values:The default value isFALSE.See Also: